[SCM] team based FPS game - packaging branch, debian, updated. debian/1.1.0-4.1-33-g855d6ce

Simon McVittie smcv at debian.org
Sat Jul 17 14:10:48 UTC 2010


The following commit has been merged in the debian branch:
commit 88e7076ece2743cb60be6bdb7d32af5e7fe39760
Author: Simon McVittie <smcv at debian.org>
Date:   Sat Jul 17 10:49:56 2010 +0100

    Improve the tremulous-server init script so it stops the process correctly (partially addresses #469576)

diff --git a/debian/changelog b/debian/changelog
index 94f3152..8811d67 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -18,6 +18,8 @@ tremulous (1.1.0-5) UNRELEASED; urgency=low
     modified menu to override the one in tremulous-data (Closes: #476621)
   * Disable JIT QVM compiler (which seems to crash on startup) on x86-64,
     falling back to the architecture-neutral QVM interpreter
+  * Improve the tremulous-server init script so it stops the process correctly
+    (partially addresses #469576)
 
  -- Simon McVittie <smcv at debian.org>  Mon, 12 Jul 2010 22:22:25 +0100
 
diff --git a/debian/tremulous-server.init b/debian/tremulous-server.init
index 62cd7eb..d9921ce 100644
--- a/debian/tremulous-server.init
+++ b/debian/tremulous-server.init
@@ -14,6 +14,7 @@ DAEMON="/usr/games/tremulous-server"
 NAME="tremulous-server"
 DESC="Tremulous dedicated server"
 PIDFILE="/var/run/$NAME.pid"
+BINARY="/usr/lib/tremulous-server/tremded"
 
 # Exit with an error if the package has been removed
 test -x $DAEMON || exit 5
@@ -32,14 +33,15 @@ tremulous_start() {
         return 2
     fi
     start-stop-daemon --start --quiet --pidfile $PIDFILE --oknodo \
-	--background --exec $DAEMON --make-pidfile --chuid nobody \
+	--background --exec $BINARY --startas $DAEMON \
+	--make-pidfile --chuid nobody \
 	-- $DAEMON_OPTS > /dev/null 2>&1 || return 1
     return 0
 }
 
 tremulous_stop() {
     start-stop-daemon --stop --quiet --pidfile $PIDFILE \
-	--oknodo || return 1
+	--oknodo --exec $BINARY || return 1
     rm -f $PIDFILE
     return 0
 }

-- 
team based FPS game - packaging



More information about the Pkg-games-commits mailing list